# class DedicatedREDEngine

*Defined at src/network/switch/ecn_dedicated_red.h#13*

Inherits from ECNEngine



## Functions

### DedicatedREDEngine

*public void DedicatedREDEngine(Bytes min_th, Bytes max_th, double p_max, bool back_to_sender, Rng *const rng)*

*Defined at src/network/switch/ecn_dedicated_red.h#15*

### process_packet

*public Packet & process_packet(Packet & pkt, SwitchBuffer * buf)*



